Name:           opdis
Version:        1.0.5
Release:        1%{?dist}
Summary:        Wrapper for the libopcodes disassembler library

License:        GPLv3 and LGPLv3
URL:            http://mkfs.github.com/content/opdis/
Source0:        http://github.com/downloads/mkfs/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  binutils-devel


%description
Opdis is a wrapper for the libopcodes disassembler library distributed as part
of GNU binutils. It extends the libopcodes library by offering linear and
control-flow disassembly algorithms, instruction and operand objects that are
suitable for analysis, and a command-line utility to perform disassembly on
arbitrary locations in a file.

These features are lacking in libopcodes and objdump. The design of libopcodes
makes it awkward to use for binary analysis; it assumes that disassembled
instructions are going to be printed, not stored or analyzed, and therefore it
invokes a callback with an fprintf(3) signature. The shortcomings of objdump
are even greater: it does not support control-flow disassembly, nor does it
allow the user to specify which bytes in the file to disassemble.

The Opdis project consists of the libopdis library and the opdis command-line
utility.

%package devel
Group: Development/Libraries
Summary: Development files for %{name}

%description devel
Development files you can use to develop applications with %{name}.


%prep
%setup -q


%build
%configure --disable-static --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/man/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1


%files
%doc LICENSE*
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1*


%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so


%changelog
* Wed Jan 16 2013 Dan Horák <dan[at]danny.cz> - 1.0.5-1
- initial Fedora version
